linux-lts-utopic: 3.16.0-43.58~14.04.1 -proposed tracker

Bug #1466983 reported by Brad Figg on 2015-06-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-utopic (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.16.0-43.58~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 19. June 2015 20:02 UTC
kernel-stable-master-bug:1466792
kernel-stable-Prepare-package-end:Monday, 22. June 2015 19:04 UTC
kernel-stable-Promote-to-proposed-start:Monday, 22. June 2015 19:04 UTC
kernel-stable-Promote-to-proposed-end:Monday, 22. June 2015 20:07 UTC
kernel-stable-Verification-testing-start:Monday, 22. June 2015 22:01 UTC
kernel-stable-Certification-testing-start:Monday, 22. June 2015 22:01 UTC
kernel-stable-Security-signoff-start:Monday, 22. June 2015 22:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Monday, 22. June 2015 22:01 UTC
kernel-stable-Certification-testing-end:Friday, 03. July 2015 08:02 UTC
kernel-stable-Security-signoff-end:Friday, 03. July 2015 08:02 UTC
kernel-stable-Regression-testing-end:Friday, 03. July 2015 15:02 UTC
kernel-stable-Promote-to-updates-start:Friday, 03. July 2015 16:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 06. July 2015 17:56 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 06. July 2015 19:07 UTC

Brad Figg (brad-figg) on 2015-06-19
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-utopic (Ubuntu Trusty):
importance: Undecided → Medium
Luis Henriques (henrix) on 2015-06-22
Changed in linux-lts-utopic (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-lts-utopic | 3.16.0-43.58~14.04.1 | trusty-proposed | source
 linux-meta-lts-utopic | 3.16.0.43.34 | trusty-proposed | source
 linux-signed-lts-utopic | 3.16.0-43.58~14.04.1 | trusty-proposed | source

Brad Figg (brad-figg) on 2015-06-22
description: updated
Brad Figg (brad-figg) on 2015-06-22
description: updated
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/trusty/3.16.0-43.58~14.04.1/trusty-3.16-proposed.html

tags: added: certification-testing-passed
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-07-03
description: updated
Brad Figg (brad-figg) on 2015-07-03
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-07-03
description: updated
Brad Figg (brad-figg) on 2015-07-03
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (20.3 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-43.58~14.04.1

---------------
linux-lts-utopic (3.16.0-43.58~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1466983

  [ Brad Figg ]

  * Merged back Ubuntu-3.16.0-41.57 regression fix for security release

linux (3.16.0-42.56) utopic; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1465714

  [ Chris J Arges ]

  * [config] CONFIG_IPMI_POWERNV=m on ppc64el
    - LP: #1439562

  [ Luis Henriques ]

  * [Config] Disable CONFIG_USB_OTG
    - LP: #1411295

  [ Upstream Kernel Changes ]

  * Revert "i2c: Mark adapter devices with pm_runtime_no_callbacks"
    - LP: #1465613
  * Revert "mm/hugetlb: use pmd_page() in follow_huge_pmd()"
    - LP: #1465613
  * cdc-acm: prevent infinite loop when parsing CDC headers.
    - LP: #1460657
  * drivers/char/ipmi: Add powernv IPMI driver
    - LP: #1439562
  * powerpc/powernv: Add OPAL IPMI interface
    - LP: #1439562
  * powerpc/powernv: Support OPAL requested heartbeat
    - LP: #1439562
  * powerpc/kernel: Make syscall_exit a local label
    - LP: #1439562
  * powerpc: Remove old compile time disabled syscall tracing code
    - LP: #1439562
  * powerpc/powernv: Remove "opal" prefix from pr_xxx()s
    - LP: #1439562
  * powerpc/powernv: Separate function for OPAL IRQ setup
    - LP: #1439562
  * powerpc/powernv: Add OPAL message notifier unregister function
    - LP: #1439562
  * device: Add dev_of_node() accessor
    - LP: #1439562
  * drivers/core/of: Add symlink to device-tree from devices with an OF
    node
    - LP: #1439562
  * powerpc: Add a proper syscall for switching endianness
    - LP: #1439562
  * (upstream) libata: Blacklist queued TRIM on all Samsung 800-series
    - LP: #1338706, #1449005
  * ahci: avoton port-disable reset-quirk
    - LP: #1458617
  * udf: Remove repeated loads blocksize
    - LP: #1462173
    - CVE-2015-4167
  * udf: Check length of extended attributes and allocation descriptors
    - LP: #1462173
    - CVE-2015-4167
  * (upstream)scsi_lib: remove the description string in
    scsi_io_completion()
    - LP: #1449372
  * vfs: read file_handle only once in handle_to_path
    - LP: #1416503
    - CVE-2015-1420
  * ozwpan: Use unsigned ints to prevent heap overflow
    - LP: #1463442
    - CVE-2015-4001
  * ozwpan: divide-by-zero leading to panic
    - LP: #1463445
    - CVE-2015-4003
  * ozwpan: Use proper check to prevent heap overflow
    - LP: #1463444
    - CVE-2015-4002
  * ozwpan: unchecked signed subtraction leads to DoS
    - LP: #1463444
    - CVE-2015-4002
  * net: eth: xgene: devm_ioremap() returns NULL on error
    - LP: #1458042
  * drivers: net: xgene: fix new firmware backward compatibility with older
    driver
    - LP: #1458042
  * drivers: net: xgene: constify of_device_id array
    - LP: #1458042
  * drivers: net: xgene: Add second SGMII based 1G interface
    - LP: #1458042
  * dtb: change binding name to match with newer firmware DT
    - LP: #1458042
  * dtb: xgene: Add second SGMII based 1G interface node
    - LP: #1458042
  * mlx4: Fix tx ring affinity_mask creation
    - LP: #1465613
  * net/mlx4_en: Schedule napi when RX buffer...

Changed in linux-lts-utopic (Ubuntu Trusty):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-07-06
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers